<?
include 'mysql.php';
include_once("include/zag.php");
include_once("include/check2.php");
include_once("include/sesi.php");
if (isset($user)) {

switch(@$go) {
default:
echo'
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8"/><meta forua="true" http-equiv="Cache-Control" content="no-cache,no-store,must-revalidate"/><title>Lineage2</title></head>
<link rel="stylesheet" href="img/style.css" type="text/css" />
';
echo "<form action=\"search.php?$sd&go=go\" method=\"post\">Введите ник:<br/>";
echo "<input name=\"nick\" maxlength=\"10\" title=\"nick\" emptyok=\"true\"/><br/>";
echo "<input type=\"submit\" value=\"Найти\" /></form>";

break;

case 'go':

$nick = htmlspecialchars(stripslashes($nick));

if(!@file("MySql/base123/reg/$nick.dat")){echo"Такой игрок не существует!"; include_once"include/down.php"; exit; }

$text = @file("MySql/base123/reg/$nick.dat");
$udata = explode(":||:",$text[0]);
$block=mysql_query("SELECT * FROM `table_block` WHERE `nick`='$nick' LIMIT 1");
if(mysql_num_rows($block)==1){
$user = mysql_fetch_array($block);
$pr = $user['pricina'];
echo"Персонаж заблокирован причина: ".$pr."<br/>- - -<br/>";}
if(@file("MySql/base123/clan/status/$nick.dat")){

$text = @file("MySql/base123/clan/status/$nick.dat");
$datta = explode(":||:",$text[0]);
echo"[ <u>$datta[1]</u> ]<br/>";}
if($udata[23]!==""){
$file = @file("MySql/base123/clan/$udata[23].dat");
$data = explode(":||:",$file[0]);
if(!empty($data[2])){
echo"Ник: <b>$nick</b> <img src=\"pic/clan/$data[2]\" alt=\"clan\"/><br/>";}else{
echo"Ник: <b>$nick</b><br/>";
}
}else{
echo"Ник: <b>$nick</b><a href=\"friends.php?go=friendadd&$sd&nick=$nick\"> [+]</a><br/>";}

$file = file("MySql/base123/ban.dat");
$total = count($file);
for($i = 0; $i < $total; $i++){
$data = explode("||", $file[$i]);
if($data[2]=="$nick"){
echo"<small><b>Игрок забанен на 24 часа!</b></small><br/>
Причина: $data[3]</br>";}
}

if (is_file('pic/'.$nick.'.gif'))
{
echo'<img src="pic/'.$nick.'.gif" alt="pic"/><br/><br/>';
} else {

if($udata[2]=="Ж" && $udata[26]=="kamael"){echo'<img src="pic/kamaelwoman.jpg" alt="pic"/><br/>';
}
if($udata[2]=="M" && $udata[26]=="kamael"){echo'<img src="pic/kamaelmen.jpg" alt="pic"/><br/>';
}
if($udata[2]=="Ж" && $udata[26]=="human"){echo'<img src="pic/humanwoman.jpg" alt="pic"/><br/>';
}
if($udata[2]=="M" && $udata[26]=="human"){echo'<img src="pic/humanmen.jpg" alt="pic"/><br/>';
}

if($udata[2]=="Ж" && $udata[26]=="elf"){echo'<img src="pic/elfwoman.jpg" alt="pic"/><br/>';
}
if($udata[2]=="M" && $udata[26]=="elf"){echo'<img src="pic/elfmen.jpg" alt="pic"/><br/>';
}

if($udata[2]=="Ж" && $udata[26]=="darkelf"){echo'<img src="pic/darkelfwoman.jpg" alt="pic"/><br/>';
}
if($udata[2]=="M" && $udata[26]=="darkelf"){echo'<img src="pic/darkelfmen.jpg" alt="pic"/><br/>';
}

if($udata[2]=="Ж" && $udata[26]=="gnom"){echo'<img src="pic/gnomwoman.jpg" alt="pic"/><br/>';
}
if($udata[2]=="M" && $udata[26]=="gnom"){echo'<img src="pic/gnommen.jpg" alt="pic"/><br/>';
}

if($udata[2]=="Ж" && $udata[26]=="ork"){echo'<img src="pic/orkwoman.jpg" alt="pic"/><br/>';
}
if($udata[2]=="M" && $udata[26]=="ork"){echo'<img src="pic/ork.jpg" alt="pic"/><br/>';
}
}
$genat = @file("local/datacharch/wedding/$nick.dat");
$kto = explode("||", $genat[0]);
if ($nick==$kto[0]){$kto=$kto[1];}
if ($nick==$kto[1]){$kto=$kto[0];}
if ($genat!==false){echo"В браке с [<a href=\"search.php?$sd&go=go&nick=$kto\">$kto</a>]<br/>";}
$elita=mysql_query("SELECT * FROM `table_admin` WHERE `nick`='$nick' LIMIT 1");
if(mysql_num_rows($elita)==1){echo"Должность: <b><u><font color=lime>Администратор</u></b></font><br/>";}
$elita=mysql_query("SELECT * FROM `table_moder` WHERE `nick`='$nick' LIMIT 1");
if(mysql_num_rows($elita)==1){echo"Должность: <b><u><font color=blue>Модератор</u></b></font><br/>";}
$elita=mysql_query("SELECT * FROM `table_konsultant` WHERE `nick`='$nick' LIMIT 1");
if(mysql_num_rows($elita)==1){echo"Должность: <b><u><font color=#FFFAFA>Консультант</u></b></font><br/>";}
if(@file("MySql/base123/mystatus/$nick.dat")){

$text = @file("MySql/base123/mystatus/$nick.dat");
$datta = explode(":||:",$text[0]);
echo"Подстатус: <b>$datta[1]</b><br/>";}else{echo"Подстатус: <b>Нет</b><br/>";}
if(@file("MySql/base123/rating/olimpiads/$nick.dat")){echo"Привилегии : <b><font color=\"#FF0000\"><u>Marquis</font></u></b><br/>";}
include_once"include/status.php";
include_once"include/dobro.php";
echo"Пол: ";
if($udata[2]=="M"){echo"Парень<br/>";}else{echo"Леди<br/>";}
echo"Уровень: <b>($udata[9])</b><br/>";
echo'Адена: <font color=gold>'.number_format($udata[8]).'</font></a><br/>';
echo'Coin of Luck: <font color=#FF8C00>'.number_format($udata[14]).'</font><br/>';
echo"Местонахождение: <b>$udata[20]</b><br/>";
if(@file("MySql/base123/clan/$udata[23].dat")){

$text = @file("MySql/base123/clan/$udata[23].dat");
$data = explode(":||:",$text[0]);

echo"Состоит в Клане: <b>$data[1] ($data[3] lvl)</b> [<a href=\"search.php?$sd&go=go&nick=$udata[23]\">$udata[23]</a>]<br/>";}else{
echo"Не в Клане<br/>";}
if(@file("MySql/base123/ali/names/$udata[23].dat")){
$text = @file("MySql/base123/ali/names/$udata[23].dat");
$gali = explode("|",$text[0]);
$text = @file("MySql/base123/ali/$gali[0].dat");
$nali = explode(":||:",$text[0]);
echo"Состоит в Альянсе: <b>$nali[1]</b> [<a href=\"search.php?$sd&go=go&nick=$nali[0]\">$nali[0]</a>]<br/>";}else{echo"Не в Альянсе<br/>";}
if(!empty($udata[33])){echo"Профа: <font color=red><b>$udata[33]</b></font><br/>";}else{echo"Профы нет.<br/>";}
echo"Расса: ";
if($udata[26]=="ork"){echo"Орк<br/>";}
if($udata[26]=="elf"){echo"Эльф<br/>";}
if($udata[26]=="darkelf"){echo"Темный эльф<br/>";}
if($udata[26]=="human"){echo"Человек<br/>";}
if($udata[26]=="gnom"){echo"Гном<br/>";}
if($udata[26]=="kamael"){echo"Камаэль<br/>";}
echo"Класс: ";
if($udata[27]=="wizard"){echo"Маг<br/>";}
if($udata[27]=="fighert"){echo"Войн<br/>";}
echo'Посты: '.number_format($udata[100]).'<br/>';
if(!@file("MySql/base123/rating/pk/$nick.dat")){
echo"Выиграл PK боев: 0<br/>";}else{
$text = @file("MySql/base123/rating/pk/$nick.dat");
$data = explode("||",$text[0]);
echo'Выиграл PK боев: '.number_format($data[0]).'<br/>';}
if(empty($udata[36])){$udata[36]="0";}
echo'Карма: '.number_format($udata[36]).'<br/>';
if(!@file("MySql/base123/rating/rek/$nick.dat")){
echo"Рекомендован: 0 раз<br/>";}else{
$text = @file("MySql/base123/rating/rek/$nick.dat");
$data = explode("||",$text[0]);
echo'Рекомендован: '.number_format($data[0]).' раз<br/>';}
if(!@file("MySql/base123/other/$nick.dat")){
echo"Статус: Оффлайн<br/>";}else{
$text = @file("MySql/base123/other/$nick.dat");
$data = explode("||",$text[0]);
$time=time()-600;
if($data[0]>=$time){
echo"Статус: <b><font color=lime>Online</font></b><br/>";
echo"Дата регистрации: $udata[28]</br>";}else{
echo"Статус: <font color=red>Offline</font><br/>";
$date=date("H:i:s - d.m.y",$data[0]);
echo"Последнее посещение: $date<br/>";
echo"</br>Дата регистрации: $udata[28]</br>";
}
}

echo'- - -<br/>CP: '.number_format($udata[42]).'/'.number_format($udata[43]).'<br/>HP: '.number_format($udata[16]).'/'.number_format($udata[17]).'<br/>MP: '.number_format($udata[29]).'/'.number_format($udata[30]).'<br/>EXP: '.number_format($udata[19]).'<br/>SP: '.number_format($udata[31]).'<br/>';
echo'- - -<br/>Побед: '.number_format($udata[6]).'<br/>Поражений: '.number_format($udata[7]).'<br/>- - -<br/>';
$file = file("MySql/base123/item/$nick.dat");
$file = array_reverse($file);
$total = count($file);

for ($i = 0; $i < $total; $i++){
$data = explode(":||:",$file[$i]);
$data_2[]=$data[2];
$data_id[]=$i;}
echo"<b>Украшение:</b><br/>";
if($udata[54]!=="Пусто"){
echo"<img src=\"pic/ykr/$udata[54].gif\" alt=\"pic\"/>";
echo"Украшение: <u>$udata[54]</u><br/>";}else{echo"<img src=\"pic/pusto/ykr.gif\" alt=\"pic\"/> Украшение: Не одето<br/>";}
echo"<b>Боевая экипировка:</b><br/>";
if($udata[10]!=="Пусто"){
echo"<img src=\"pic/shlem/$udata[10].gif\" alt=\"pic\"/>";
echo"Шлем: <u>$udata[10]</u><br/>";}else{echo"<img src=\"pic/pusto/helmets.gif\" alt=\"pic\"/> Шлем: Не одето<br/>";}
if($udata[11]!=="Пусто"){
echo"<img src=\"pic/robe/$udata[11].gif\" alt=\"pic\"/>";
echo"Роба: <u>$udata[11]</u><br/>";}else{echo"<img src=\"pic/pusto/up.gif\" alt=\"pic\"/> Роба: Не одето<br/>";}
if($udata[53]!=="Пусто"){
echo"<img src=\"pic/4it/$udata[53].gif\" alt=\"pic\"/>";
echo"Щит: <u>$udata[53]</u><br/>";}else{echo"<img src=\"pic/pusto/4it.gif\" alt=\"pic\"/> Щит: Не одето<br/>";}
if($udata[12]!=="Пусто"){
$u=explode('*',$udata[12]);
echo"<img src=\"pic/weapon/$u[0].gif\" alt=\"pic\"/>";
echo"Правая рука: <u>$udata[12]</a></u><br/>";}else{echo"<img src=\"pic/pusto/weapon.gif\" alt=\"pic\"/> Правая рука: Не одето<br/>";}
if($udata[52]!=="Пусто"){
echo"<img src=\"pic/gloves/$udata[52].gif\" alt=\"pic\"/>";
echo"Перчатки: <u>$udata[52]</u><br/>";}else{echo"<img src=\"pic/pusto/gloves.gif\" alt=\"pic\"/> Перчатки: Не одето<br/>";}

if($udata[13]!=="Пусто"){
echo"<img src=\"pic/boots/$udata[13].gif\" alt=\"pic\"/>";
echo"Сапоги: <u>$udata[13]</u><br/>";}else{echo"<img src=\"pic/pusto/boots.gif\" alt=\"pic\"/> Сапоги: Не одето<br/>";}
echo"<b>Бижутерия:</b><br/>";
if($udata[45]!=="Пусто"){
echo"<img src=\"pic/sheya/$udata[45].gif\" alt=\"pic\"/>";
echo"Ожерелье: <u>$udata[45]</u><br/>";}else{echo"<img src=\"pic/pusto/sheya.gif\" alt=\"pic\"/> Ожерелье: Не одето<br/>";}
if($udata[46]!=="Пусто"){
echo"<img src=\"pic/serga/$udata[46].gif\" alt=\"pic\"/>";
echo"Серьга: <u>$udata[46]</u><br/>";}else{echo"<img src=\"pic/pusto/serga.gif\" alt=\"pic\"/> Серьга: Не одето<br/>";}
if($udata[47]!=="Пусто"){
echo"<img src=\"pic/serga2/$udata[47].gif\" alt=\"pic\"/>";
echo"Серьга: <u>$udata[47]</u><br/>";}else{echo"<img src=\"pic/pusto/serga2.gif\" alt=\"pic\"/> Серьга: Не одето<br/>";}
if($udata[48]!=="Пусто"){
echo"<img src=\"pic/kolco/$udata[48].gif\" alt=\"pic\"/>";
echo"Кольцо: <u>$udata[48]</u><br/>";}else{echo"<img src=\"pic/pusto/kolco.gif\" alt=\"pic\"/> Кольцо: Не одето<br/>";}
if($udata[49]!=="Пусто"){
echo"<img src=\"pic/kolco2/$udata[49].gif\" alt=\"pic\"/>";
echo"Кольцо: <u>$udata[49]</u><br/>";}else{echo"<img src=\"pic/pusto/kolco2.gif\" alt=\"pic\"/> Кольцо: Не одето<br/>";}
echo'- - -<br/>Выносливость: '.number_format($udata[5]).'<br/>Физическая Защита: '.number_format($udata[3]).'<br/>Магическая Защита: '.number_format($udata[99]).'<br/>Физическая Атака: '.number_format($udata[4]).'<br/>- - -<br/>';
echo"Непрочитаных сообщений: <b>$udata[22]</b></br>";
//echo"<br/><b><a href=\"pk.php?$sd&nick=$udata[0]\">Напасть</a></b><br/>";
//<b><a href=\"clanwar.php?$sd&nick=$udata[0]&go=combat\">Напасть кланом</a></b><br/>";
echo"- - -<br/><b></b><b><img src=\"img/mail.png\"> <a href=\"privat.php?$sd&uzer=$nick&go=send\">Отправить ЛС</a></b><br/><img src=\"img/paty.png\"> <a href=\"paty.php?go=go&$sd&uzer=$nick\">Предложить пати</a><br/><img src=\"img/ign.png\"> <a href=\"ignor.php?go=ignoradd&$sd&nick=$nick\">В Игнор-лист</a></small>";
if(!@file("local/dataanket/$nick.dat")){
echo"<br/><br><small><b><font=color>(Анкета не создана)</font></b></small>";
} else{
echo'<br/><a href="anketa.php?'.$sd.'&nick='.$nick.'&go=look">Анкета игрока</a>';
}



break;
}

}else{echo"<small>Пароль или логин неверен!</small>";}

include_once"include/down.php";
?>







